# Batch validate & normalize phone numbers
URL: /docs/api-reference/compliance-validation/validateRecipients

## POST `/api/v1/public/sms/validate-recipients`

**Summary:** Batch validate & normalize phone numbers
**Operation ID:** `validateRecipients`

Normalizes local and international numbers to standard E.164 format, filters out invalid formats, detects country and carrier prefixes, and deduplicates inputs.

**Authentication:** `X-Api-Key: sk_live_...` or `Authorization: Bearer sk_live_...`

### Request Body (`application/json`)

```json
{
  "type": "object",
  "required": [
    "recipients"
  ],
  "properties": {
    "recipients": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "example": [
        "0241234567",
        "+233501234567",
        "invalid-phone",
        "0241234567"
      ]
    }
  }
}
```

### Responses

- **`200`**: Validation and normalization summary

```json
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "success"
    },
    "data": {
      "type": "object",
      "properties": {
        "validCount": {
          "type": "integer",
          "example": 2
        },
        "invalidCount": {
          "type": "integer",
          "example": 1
        },
        "duplicateCount": {
          "type": "integer",
          "example": 1
        },
        "validRecipients": {
          "type": "array",
          "items": {
            "type": "string"
          },
          "example": [
            "+233241234567",
            "+233501234567"
          ]
        },
        "invalidRecipients": {
          "type": "array",
          "items": {
            "type": "string"
          },
          "example": [
            "invalid-phone"
          ]
        }
      }
    }
  }
}
```
- **`401`**: Authentication failed or API key missing